"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.Constants = void 0;
const core_for_zowe_sdk_1 = require("@zowe/core-for-zowe-sdk");
/**
 * Class to contain  constants
 * @export
 * @class Constants
 */
class Constants {
}
exports.Constants = Constants;
/**
 * Custom log location to prevent logging to default folder based on the package name
 * @static
 * @memberof Constants
 */
Constants.LOG_LOCATION = "zowe/logs/zowe.log";
/**
 * Display name
 * @static
 * @memberof Constants
 */
Constants.DISPLAY_NAME = "Zowe CLI";
/**
 * Binary executable name
 * @static
 * @memberof Constants
 */
Constants.BINARY_NAME = "zowe";
/**
 *
 * Documentation link for the CLI
 * @static
 * @memberof Constants
 */
Constants.DOCUMENTATION_LINK = "https://docs.zowe.org";
/**
 *
 * Support link for zowe
 * @static
 * @memberof Constants
 */
Constants.SUPPORT_LINK = "https://www.zowe.org";
/**
 * Description of product
 * @static
 * @memberof Constants
 */
Constants.DESCRIPTION = `Welcome to ${Constants.DISPLAY_NAME}!

${Constants.DISPLAY_NAME} is a command line interface (CLI) that provides a simple and streamlined way to interact with IBM z/OS.

For additional ${Constants.DISPLAY_NAME} documentation, visit ${Constants.DOCUMENTATION_LINK}

For ${Constants.DISPLAY_NAME} support, visit ${Constants.SUPPORT_LINK}
`;
/**
 * Home environment variable
 * @static
 * @memberof Constants
 */
Constants.HOME_ENV_KEY = "ZOWE_CLI_HOME";
/**
 * Prefix for environmental variable settings used by Imperative
 * @static
 * @memberof Constants
 */
Constants.ENV_PREFIX = "ZOWE";
/**
 * Home directory
 * @static
 * @memberof Constants
 */
Constants.HOME_DIR = "~/.zowe";
//______________________________________________________________________
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_CONNECTION_OPTION_GROUP = core_for_zowe_sdk_1.ProfileConstants.BASE_CONNECTION_OPTION_GROUP;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_HOST = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_HOST;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_PORT = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_PORT;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_USER = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_USER;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_PASSWORD = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_PASSWORD;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_REJECT_UNAUTHORIZED = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_REJECT_UNAUTHORIZED;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_TOKEN_TYPE = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_TOKEN_TYPE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_TOKEN_VALUE = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_TOKEN_VALUE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_CERT_FILE = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_CERT_FILE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.BASE_OPTION_CERT_KEY_FILE = core_for_zowe_sdk_1.ProfileConstants.BASE_OPTION_CERT_KEY_FILE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
// public static readonly BASE_OPTION_CERT_FILE_PASSPHRASE = ProfileConstants.BASE_OPTION_CERT_FILE_PASSPHRASE
//______________________________________________________________________
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_GROUP = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_GROUP;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_HOST = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_HOST;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_PORT = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_PORT;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_USER = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_USER;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_PASSWORD = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_PASSWORD;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_REJECT_UNAUTHORIZED = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_REJECT_UNAUTHORIZED;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_TOKEN_TYPE = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_TOKEN_TYPE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_TOKEN_VALUE = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_TOKEN_VALUE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTO_INIT_OPTION_CERT_FILE = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_CERT_FILE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
*/
Constants.AUTO_INIT_OPTION_CERT_KEY_FILE = core_for_zowe_sdk_1.ProfileConstants.AUTO_INIT_OPTION_CERT_KEY_FILE;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTH_GROUP_SUMMARY = core_for_zowe_sdk_1.ProfileConstants.AUTH_GROUP_SUMMARY;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.AUTH_GROUP_DESCRIPTION = core_for_zowe_sdk_1.ProfileConstants.AUTH_GROUP_DESCRIPTION;
//______________________________________________________________________
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGIN_SUMMARY = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGIN_SUMMARY;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGIN_DESCRIPTION = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGIN_DESCRIPTION;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGIN_EXAMPLE1 = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGIN_EXAMPLE1;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGIN_EXAMPLE2 = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGIN_EXAMPLE2;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGOUT_SUMMARY = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGOUT_SUMMARY;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGOUT_DESCRIPTION = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGOUT_DESCRIPTION;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGOUT_EXAMPLE1 = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGOUT_EXAMPLE1;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGOUT_EXAMPLE2 = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGOUT_EXAMPLE2;
/**
 * @deprecated Please use this constant from the @zowe/core-for-zowe-sdk
 */
Constants.APIML_LOGOUT_OPTION_TOKEN_TYPE = core_for_zowe_sdk_1.ProfileConstants.APIML_LOGOUT_OPTION_TOKEN_TYPE;
//# sourceMappingURL=Constants.js.map