"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
const zosmf_for_zowe_sdk_1 = require("@zowe/zosmf-for-zowe-sdk");
const Compare_definition_1 = require("./compare/Compare.definition");
const Copy_definition_1 = require("./copy/Copy.definition");
const Create_definition_1 = require("./create/Create.definition");
const Delete_definition_1 = require("./delete/Delete.definition");
const Download_definition_1 = require("./download/Download.definition");
const Edit_definition_1 = require("./edit/Edit.definition");
const HMigrate_definition_1 = require("./hMigrate/HMigrate.definition");
const HRecall_definition_1 = require("./hRecall/HRecall.definition");
const Invoke_definition_1 = require("./invoke/Invoke.definition");
const List_definition_1 = require("./list/List.definition");
const Mount_definition_1 = require("./mount/Mount.definition");
const Rename_definition_1 = require("./rename/Rename.definition");
const Unmount_definition_1 = require("./unmount/Unmount.definition");
const Upload_definition_1 = require("./upload/Upload.definition");
const View_definition_1 = require("./view/View.definition");
const ZosFiles_options_1 = require("./ZosFiles.options");
/**
 * This object defines the top level command group for zosfiles. This is not
 * something that is intended to be used outside of this npm package.
 *
 * @private
 */
const definition = {
    name: "zos-files",
    aliases: ["files"],
    type: "group",
    summary: "Manage z/OS data sets",
    description: "Manage z/OS data sets, create data sets, and more.",
    children: [
        Compare_definition_1.CompareDefinition,
        Copy_definition_1.CopyDefinition,
        Create_definition_1.CreateDefinition,
        Download_definition_1.DownloadDefinition,
        Delete_definition_1.DeleteDefinition,
        Edit_definition_1.EditDefinition,
        HMigrate_definition_1.HMigrateDefinition,
        HRecall_definition_1.HRecallDefinition,
        Invoke_definition_1.InvokeDefinition,
        List_definition_1.ListDefinition,
        Mount_definition_1.MountDefinition,
        Rename_definition_1.RenameDefinition,
        Unmount_definition_1.UnmountDefinition,
        Upload_definition_1.UploadDefinition,
        View_definition_1.ViewDefinition
    ],
    passOn: [
        {
            property: "options",
            value: [...zosmf_for_zowe_sdk_1.ZosmfSession.ZOSMF_CONNECTION_OPTIONS, ...ZosFiles_options_1.ZosFilesOptionDefinitions],
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = definition;
//# sourceMappingURL=ZosFiles.definition.js.map