"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
const zosmf_for_zowe_sdk_1 = require("@zowe/zosmf-for-zowe-sdk");
const List_definition_1 = require("./list/List.definition");
exports.definition = {
    name: "zos-logs",
    aliases: ["logs"],
    type: "group",
    summary: "Interact with z/OS logs",
    description: "Interact with z/OS logs.",
    children: [List_definition_1.ListDefinition],
    passOn: [
        {
            property: "options",
            value: zosmf_for_zowe_sdk_1.ZosmfSession.ZOSMF_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = exports.definition;
//# sourceMappingURL=ZosLogs.definition.js.map